#### Previous topic

scipy.signal.order_filter

#### Next topic

scipy.signal.medfilt2d

# scipy.signal.medfilt

`scipy.signal.``medfilt`(volume, kernel_size=None)

  Perform a median filter on an N-dimensional array.

  Apply a median filter to the input array using a local window-size given by kernel_size.

  Parameters:

  volume : array_like

  > An N-dimensional input array.

  kernel_size : array_like, optional

  > A scalar or an N-length list giving the size of the median filter window in each dimension. Elements of kernel_size should be odd. If kernel_size is a scalar, then this scalar is used as the size in each dimension. Default size is 3 for each dimension.

  Returns:

  out : ndarray

  > An array the same size as input containing the median filtered result.